{% extends 'base.html' %}

{% block content %}
    <div>
        <h1>My Tasks</h1>
        {% if task_list %}
            <table>
                <thead>
                    <th>Name</th>
                    <th>Start date</th>
                    <th>End date</th>
                    <th>Is completed</th>
                </thead>
                <tbody>
                    {% for tasks in task_list %}
                        <tr>
                            <td>{{ tasks.name }}</td>
                            <td>{{ tasks.start_date }}</td>
                            <td>{{ tasks.due_date }}</td>
                            <td>
                                {% if tasks.is_completed == False %}
                                    <form method="post" action="{% url 'complete_task' tasks.id %}">
                                        {% csrf_token %}
                                        <input type="hidden" name="is_completed" value="True">
                                        <button>Complete</button>
                                    </form>
                                {% else %}
                                    <p>Done</p>
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>You have no tasks</p>
        {% endif %}
    </div>
{% endblock content %}